GET
https://api.cryptohopper.com/v1/market/signals/{signal_id}/chartdata
Returns the daily results of a signal provider's buy signals for charts, oldest first: the last 30 and 90 days with signals, and the last 30 days for BTC and for stablecoin quote currencies.
OAuth scope:
read About scopes
Each row is one day: signal_time is a unix time in seconds, result_sum the summed result and result_sum_perct the average result per signal, in percent. stablecoin covers the quote currencies BUSD, CAD, HUSD, K:BTC, K:USD, TUSD, USD, USDC, USDS, USDT and UST.
Example request
curl "https://api.cryptohopper.com/v1/market/signals/SIGNAL_ID/chartdata" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/market/signals/SIGNAL_ID/chartdata', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/market/signals/SIGNAL_ID/chartdata",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/market/signals/SIGNAL_ID/chartdata');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Optional | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
signal_id |
string | Required | Signal provider ID. |
Response
{
"data": {
"lastmonth": [
{
"signal_time": "1758672000",
"result_sum": "8.40",
"result_sum_perct": "1.200000"
}
],
"threemonths": [
{
"signal_time": "1758672000",
"result_sum": "8.40",
"result_sum_perct": "1.200000"
}
],
"btc": [
{
"signal_time": "1758672000",
"result_sum": "3.10",
"result_sum_perct": "1.550000"
}
],
"stablecoin": [
{
"signal_time": "1758672000",
"result_sum": "8.40",
"result_sum_perct": "1.200000"
}
]
}
}